Create StatementJob - m3ter Documentation

Create StatementJob

cURL

curl --request POST \
  --url https://api.m3ter.com/organizations/{orgId}/statementjobs \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "billId": "<string>",
  "version": 123,
  "includeCsvFormat": true,
  "filters": {
    "meterIds": [\
      "<string>"\
    ]
  }
}
'

Python

import requests

url = "https://api.m3ter.com/organizations/{orgId}/statementjobs"

payload = {
    "billId": "<string>",
    "version": 123,
    "includeCsvFormat": True,
    "filters": { "meterIds": ["<string>"] }
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)

JavaScript

const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    billId: '<string>',
    version: 123,
    includeCsvFormat: true,
    filters: {meterIds: ['<string>']}
  })
};

fetch('https://api.m3ter.com/organizations/{orgId}/statementjobs', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP




Response Structure

{
  "id": "<string>",
  "version": 123,
  "billId": "<string>",
  "orgId": "<string>",
  "includeCsvFormat": true,
  "filters": {
    "meterIds": [
      "<string>"
    ]
  },
  "presignedJsonStatementUrl": "<string>",
  "presignedCsvStatementUrl": "<string>",
  "dtCreated": "2023-11-07T05:31:56Z",
  "dtLastModified": "2023-11-07T05:31:56Z",
  "createdBy": "<string>",
  "lastModifiedBy": "<string>"
}

Common Errors

{
  "message": "<string>"
}

Additional Information